
//You can set these variables in the scene because they are public 
public var RemoteIP : String = "127.0.0.1";
public var SendToPort : int = 57131;
public var ListenerPort : int = 57130;
public var controller : Transform; 
private var handler : Osc;
private var sig1 : float = 0;
private var sig2 : float = 0;
private var sig3 : float = 0;
var smooth = 22.0;
var tiltAngle = 30.0;
var dissolve = false;




public function Start ()
{
	//Initializes on start up to listen for messages
	//make sure this game object has both UDPPackIO and OSC script attached
	
	var udp : UDPPacketIO = GetComponent("UDPPacketIO");
	udp.init(RemoteIP, SendToPort, ListenerPort);
	handler = GetComponent("Osc");
	handler.init(udp);			
	handler.SetAddressHandler("/1/toggle1", Example1);
	handler.SetAddressHandler("/1/toggle2", Example2);
	handler.SetAddressHandler("/1/toggle3", Example3);
	
}
//Debug.Log("Running");

function Update () {
var target2 = Vector3(sig1,sig2,sig3);

// Dampen towards the target rotation
	Debug.Log("vettore : "+target2);
	var go = GameObject.Find("Main Camera");
	go.transform.position = Vector3.Lerp(go.transform.position, target2, Time.deltaTime * smooth);
}



	

//These functions are called when messages are received
//How to access values: 
	//oscMessage.Values[0], oscMessage.Values[1], etc

//Example 1
public function Example1(oscMessage : OscMessage) : void
{	
	
	//Debug.Log("Called Example One > " + Osc.OscMessageToString(oscMessage));
	//Debug.Log("Message Values > " + oscMessage.Values[0]);
	sig1 = oscMessage.Values[0];
} 

// Example 2
public function Example2(oscMessage : OscMessage) : void 
{
	
	//Debug.Log("Called Example Two > " + Osc.OscMessageToString(oscMessage));
	//Debug.Log("Message Values > " + oscMessage.Values[0]);
	sig2 = oscMessage.Values[0];
	
} 

//Example 3
public function Example3(oscMessage : OscMessage) : void
{	
	
	sig3 = oscMessage.Values[0];
} 


